# Library support
#
# Copyright (c) 1996 T. J. Wilkinson & Associates, London, UK.
#
# See the file "license.terms" for information on usage and redistribution
# of this file, and for a DISCLAIMER OF ALL WARRANTIES.
#
# Written by Tim Wilkinson <tim@tjwassoc.demon.co.uk>, 1996.

prefix=		@prefix@
srcdir=		@srcdir@
incdir=		@includedir@/kaffe
INSTALL=	@INSTALL@
INSTALL_DATA=	@INSTALL_DATA@
MKDIR=		@MKDIR@

INCLUDEFILES= \
		native.h \
		StubPreamble.h \
		Arrays.h \
		java_lang_Object.h \
		java_lang_String.h \
		java_lang_Throwable.h \
		java_lang_Thread.h \
		java_lang_ThreadGroup.h


all:

clean:

distclean:
		rm -f Makefile jtypes.h

install:
		test -d $(incdir) || $(MKDIR) $(incdir)
		$(INSTALL_DATA) jtypes.h $(incdir)/jtypes.h
		for i in $(INCLUDEFILES) ;\
		do \
			$(INSTALL_DATA) $(srcdir)/$$i $(incdir)/$$i ;\
		done
